import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';

import './models/func_animation_route.dart';
import './routes/root.dart';
import './routes/settings.dart';
import './routes/settings/theme.dart';
import './routes/about.dart';

final router = GoRouter(
  initialLocation: '/',
  routes: [
    ShellRoute(
      builder: (context, state, child) {
        return child;
      },
      routes: [
        GoRoute(path: '/', builder: (context, state) => const RootRoute()),
        animationRoute(
          path: '/settings',
          child: const SettingsPage(),
        ),
        animationRoute(
          path: '/settings/theme',
          child: const SettingsThemePage(),
        ),
        animationRoute(
          path: '/about',
          child: const AboutPage(),
        ),
      ],
    ),
  ],
);
